Name: libfreeimage
Version: 3.11.0
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Multi-format image decoder library
License: GPL and FIPL (see the license-fi.txt)
Group: System/Libraries

URL: http://freeimage.sourceforge.net/
%define srcversion %(echo %version | tr -d .)
Source: http://downloads.sourceforge.net/freeimage/FreeImage%srcversion.zip
Patch0: freeimage-64bit-ftbfs.patch

# Automatically added by buildreq on Tue Jul 01 2008
BuildRequires: gcc-c++ unzip

%description
FreeImage is a library project for developers who would like to support
popular graphics image formats like PNG, BMP, JPEG, TIFF and others as needed by
multimedia applications. FreeImage is easy to use, fast, multithreading, safe.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -n FreeImage
%patch0 -p0

%build
# TODO: build with system libraries instead of internal copies.
# But note that our system libraries sometimes older than included with
# libfreeimage... :-\

# adding libm fix underlinking issue:
%make_build LIBRARIES="-lstdc++ -lm"

%install
install -pD -m644 Dist/FreeImage.h %buildroot%_includedir/FreeImage.h
install -pD -m644 Dist/libfreeimage-%version.so %buildroot%_libdir/libfreeimage-%version.so
ln -sf libfreeimage-%version.so %buildroot%_libdir/libfreeimage.so

%files
%doc license-fi.txt
%_libdir/libfreeimage.so.*
%_libdir/libfreeimage-%version.so

%files devel
%_includedir/*
%_libdir/libfreeimage.so

%changelog
* Tue Dec 16 2008 Victor Forsyuk <force@altlinux.org> 3.11.0-alt2
- Remove obsolete ldconfig calls.

* Thu Jul 31 2008 Victor Forsyuk <force@altlinux.org> 3.11.0-alt1
- 3.11.0

* Wed Jul 02 2008 Victor Forsyuk <force@altlinux.org> 3.10.0-alt2
- Fix FTBFS on 64 bit arch.

* Tue Jul 01 2008 Victor Forsyuk <force@altlinux.org> 3.10.0-alt1
- Initial build.
